/*
 * @(#)TalkSlave.java
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 *
 */

package examples.manual;

import aglet.a4compatibility.*;

import aglet.*;
import java.io.Externalizable;
import java.io.ObjectInput;
import java.io.ObjectOutput;
import java.io.IOException;
import java.net.URL;

/**
 * @version     1.00    96/12/19
 * @author      Mitsuru Oshima
 */
public class TalkSlave extends OldAglet implements Externalizable {

    AgletIdentifier masterId = null;
    URL hosting = null;
    transient String name = "Unknown";
    transient TalkWindow window = null;
    transient AgletProxy masterProxy = null;

    public TalkSlave() {
    }

    public void onCreation(Object o) {
	super.onCreation(o);
    }

    public void onArrival() {
	window = new TalkWindow(this);
	window.pack();
	window.show();
	try {
	    name = (String) getAgletContext().getProperty("aglets.user.name", "Unknown");
	} catch (Exception ex) {
	}
    }

    public void onDisposing() {
	if (window != null) {
	    window.dispose();
	    window = null;
	}
    }

    public boolean handleMessage(Message msg) {
	if ("id".equals(msg.kind)) {
	    masterId = (AgletIdentifier)msg.getArg();
	    hosting = getAgletContext().getHostingURL();
	    return true;

	} else if ("dialog".equals(msg.kind)) {
	    window.show();

	} else if ("text".equals(msg.kind)) {
	    String str = (String)msg.getArg();
	    if (window.isVisible() == false) {
		window.show();
	    }
	    window.appendText(str);
	    return true;
	} else if ("bye".equals(msg.kind)) {
	    window.appendText("ByeBye..");
	    try {
		Thread.currentThread().sleep(3000);
	    } catch (Exception ex) {}
	    msg.sendReply();
	    dispose();
	}
	return false;
    }

    public void sendText(String text) {
	try {
	    if (masterProxy == null) {
		masterProxy = getAgletContext().getAgletProxy(hosting, masterId);
	    }
	    masterProxy.sendMessage(new Message("text", name + " : " + text));
	} catch (Exception ex) {
	    ex.printStackTrace();
	}
    }

    private void print(String m) {
   	System.out.println("Receiver : " + m);
    }

    public void writeExternal(ObjectOutput out) throws IOException {
	out.writeObject(masterId);
	out.writeUTF(hosting.toString());
    }

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException {
	masterId = (AgletIdentifier)in.readObject();
	hosting = new URL(in.readUTF());
    }
}

