/*
 * @(#)TalkWindow.java
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 *
 */

package examples.manual;

import java.awt.*;
import ibm.aglets.util.*;

/**
 * @version     1.00    96/12/19
 * @author      Mitsuru Oshima
 */
public class TalkWindow extends Frame {
    TextArea text   = new TextArea();
    TextField input = new TextField();
    AddressChooser dest = null;

    TalkMaster master = null;
    TalkSlave slave = null;

    public TalkWindow(TalkMaster master) {
	super("Talk");
	this.master = master;
	setLayout(new BorderLayout(5,5));
	dest = new AddressChooser();
	add("North", dest);
	add("Center", text);
	add("South", input);
	text.setEditable(false);
    }

    public TalkWindow(TalkSlave slave) {
	super("Talk");
	this.slave = slave;
	setLayout(new BorderLayout());
	add("Center", text);
	add("South", input);
	text.setEditable(false);
    }

    public boolean handleEvent(Event ev) {
	if (ev.id == Event.WINDOW_DESTROY) {
	    hide();
	} else {
	    return super.handleEvent(ev);
	}
	return true;
    }

    public boolean action(Event ev, Object arg) {
	if (ev.target == input) {
	    text.appendText( input.getText() + "\r\n");
	    if (master != null) {
		master.sendText( input.getText() );
	    } else if (slave != null) {
		slave.sendText( input.getText() );
	    }
	    input.setText("");
	    return true;
	} else if (ev.target == dest) {
	    master.dispatchSlave( arg.toString() );
	    return true;
	} else {
	    return super.action(ev, arg);
	}
    }

    public void appendText(String str) {
	text.appendText( str + "\r\n");
    }
}
