/*
 * @(#)SearcherInfo.java
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package ibm.aglets.samples;

import java.util.Vector;
import java.net.URL;
import java.io.*;

/**
 * Class SearcherInfo abstracts the information returned from the 
 * mobile searcher to its master.
 *
 * @see Searcher
 * @version     1.00    96/12/28
 * @author      Yariv Aridor
 */

final class SearcherInfo implements Serializable {
   private String _url;
   private Vector _fileList;

   SearcherInfo(URL url, Vector v) {
      _url = url.toString();
      _fileList = v;
   }

   String getURLString() {
      return _url;
   }

   Vector getFileList() {
      return _fileList;
   }

   private static final String DELIMITER = "::";

   static String getFullPathName (String URLString, String fileName) {
      return URLString + DELIMITER + fileName;
   }

   static String extractPathName (String fullPathName) {
      int i = fullPathName.indexOf(DELIMITER);
      if (i > -1) 
         return fullPathName.substring(i+2);
      else
         return fullPathName;
   }

   static String extractHostURL (String fullPathName) {
   	int i = fullPathName.indexOf(DELIMITER);
      if (i > -1) 
         return fullPathName.substring(0,i);
      else
         return fullPathName;

   }
}
