/*
 * @(#)TranserSlave.java
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package ibm.aglets.samples;

import aglet.*;
import ibm.aglets.patterns.*;

import java.util.Vector;
import java.io.*;

/**
 * The TransferSlave class is a aglet for the data transfer.
 *
 * @see Slave
 * @version     1.00 96/12/28
 * @author	    Yoshiaki Mima
 * @author      Yariv Aridor
 */

public class TransferSlave extends Slave {

   protected synchronized void initializeJob() { 
      RESULT = null;
   }

   protected synchronized void doJob() throws Exception {
      String  _filePath = (String)ARGUMENT;
      File file;

      //-- check file existance
      if ((file = new File(_filePath)) == null) {
         throw new AgletException("AgletException:" + "Null File object error");
      }
      
      if (!file.exists()) 
         throw new AgletException("Try to access non-existing file");

      RESULT = new TransferInfo(readfile(file));
   }


   private synchronized byte[] readfile(File f) throws Exception {
      byte[] data = new byte[0];  //-- default value
      FileInputStream fis = new FileInputStream(f);
      data = new byte[fis.available()];
      int i = fis.read(data, 0, data.length-1);
      fis.close();

      return data;
   }
}
