/*
 * @(#)ServerApp.java
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

import aglet.*;
import aglet.system.*;
import java.net.URL;

import java.util.Properties;
import ibm.awb.util.Resource;
import ibm.atp.daemon.Daemon;

/**
 * The ServerApp example illustrates how to write an application program
 * with AgletsServer capability.
 *
 * @version     1.00    $Date: 7/09/97 7:56p $
 * @author      Mitsuru Oshima
 * @see aglet.system.AgletRuntime
 * @see ibm.atp.daemon.Daemon;
 * @see ibm.atp.daemon.Main
 */
public class ServerApp extends ContextAdapter {

    public void agletCreated(ContextEvent ev) {
	System.out.println("Aglet Created : " + ev.getAgletProxy());
    }
    public void agletCloned(ContextEvent ev) {
	System.out.println("Aglet Cloned : " + ev.getAgletProxy());
    }
    public void agletArrived(ContextEvent ev) {
	System.out.println("Aglet Arrived : " + ev.getAgletProxy());
    }
    public void agletActivated(ContextEvent ev) {
	System.out.println("Aglet Activated : " + ev.getAgletProxy());
    }

    public void agletDisposed(ContextEvent ev) {
	System.out.println("Aglet Disposed : " + ev.getAgletProxy());
    }
    public void agletDispatched(ContextEvent ev) {
	System.out.println("Aglet Dispatched : " + ev.getAgletProxy());
    }
    public void agletDeactivated(ContextEvent ev) {
	System.out.println("Aglet Deactivated : " + ev.getAgletProxy());
    }
    public void agletReverted(ContextEvent ev) {
	System.out.println("Aglet Reverted : " + ev.getAgletProxy());
    }

    public void showMessage(ContextEvent ev) {
	System.out.println("message : " + ev.getMessage());
    }


    public static void main(String a[]) throws java.lang.Exception {

	//
	// Just create default resource.
	// Resource.createResource("atp", null, null);

	Resource r = Resource.createResource("aglets", null, null);
	r.setResource("aglets.class.path", "/home/sirius/moshima/work/aglets/public");

	//
	// Obtains a runtime object
	//
	AgletRuntime runtime = AgletRuntime.getAgletRuntime();

	//
	// Creates a named context. To dispatch to this context, you have to
	// specify the destination like "atp://aglets.trl.ibm.com:434/test"
	//
	AgletContext cxt = runtime.createAgletContext("test");
	cxt.addContextListener(new ServerApp());

	//
	// Create a daemon with the port number 2000
	//
	Daemon daemon = new Daemon(2000);

	/*
	 * if any.
	try {

	    daemon.setAccessLogFile( "log.access" );
	    daemon.setErrorLogFile(  "log.error" );
	    daemon.setMessageLogFile("log.message" );
	} catch (IOException ex) {
	    ex.printStackTrace();
	}
	 */

	//
	// Starts this server as aglets server.
	//
	daemon.start("aglets");

	// initialize gui....
	try {
	    Class.forName("sun.awt.image.JPEGImageDecoder");
	    Class.forName("sun.audio.AudioPlayer");
	} catch (Exception ex) {
	    ex.printStackTrace();
	}
	try {
	    Class.forName("sun.awt.PlatformFont"); // for 1.1
	} catch (Exception ex) {
	    ex.printStackTrace();
	}
	try {
	    new java.awt.Frame().addNotify();
	} catch (Exception ex) {
	    ex.printStackTrace();
	} finally {
	}

	try {
	    Class.forName("sun.awt.ScreenUpdater");
	} catch (Throwable t) {
	}

	//
	// Starts the AgletContext. This have to be after the
	// <tt> Daemon.start(String) </tt> for now.
	//
	cxt.start();

	//
	// From here on, you can use this context.
	// (creating, dispatching an aglet, for instance)
	//
	AgletProxy p = cxt.createAglet(null, "ibm.aglets.samples.Finger", null);
	// dispatch to itself
	p.dispatch( cxt.getHostingURL() );
    }
}
