/*
 * @(#)NotHandledException.java
 *
 * (c) Copyright IBM Corp. 1996
 *
 * IBM grants you a non-exclusive, non-transferrable License to
 * use this program internally solely for the purposes of testing
 * and evaluating Java Aglet API.
 * You may not distribute, sublicense, lease, rent or use this
 * sample program externally.
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY EXPRESS OR
 * IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF
 * NON-INFRINGEMENT AND THE WARRANTIES OF MERCHANTIBILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 * IBM WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY YOU AS
 * A RESULT OF USING THIS SAMPLE PROGRAM. IN NO EVENT WILL IBM BE
 * LIABLE FOR ANY SPECIAL, INDIRECT CONSEQUENTIAL DAMAGES OR LOST
 * PROFITS EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF THEIR
 * OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS OR DATA.
 * IBM WILL NOT BE LIABLE FOR ANY THIRD PARTY CLAIMS AGAINST YOU.
 */

package aglet;

/**
 * Signals that the message was not handled by an aglet
 *
 * @version     1.00    96/08/23
 * @author	Mitsuru Oshima
 */
public class NotHandledException extends AgletException {

    /**
     * Constructs a NotHandledException
     */
    public NotHandledException() {
    }

    /**
     * Constructs a NotHandledException with the detailed message.
     * @param s the detailed message
     */
    public NotHandledException(String s) {
	super(s);
    }

    /**
     * Constructs a NotHandledException
     * @param ex the exception
    public NotHandledException(RuntimeException ex) {
	exception = ex;
    }
     */

    /**
     * Constructs a NotHandledException with the detailed message.
     * @param ex the exception
     * @param s the detailed message
    public NotHandledException(RuntimeException ex, String s) {
	super(s);
	exception = ex;
    }
     */

    /**
     * @return exception the exception which was not cached in handleMessage.
     *         null if the handleMessage returns false
    public RuntimeException getException() {
	return exception;
    }
     */
}
