/*
 * @(#)AgletEvent.java
 *
 * (c) Copyright IBM Corp. 1996
 *
 * IBM grants you a non-exclusive, non-transferrable License to
 * use this program internally solely for the purposes of testing
 * and evaluating Java Aglet API.
 * You may not distribute, sublicense, lease, rent or use this
 * sample program externally.
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY EXPRESS OR
 * IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF
 * NON-INFRINGEMENT AND THE WARRANTIES OF MERCHANTIBILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 * IBM WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY YOU AS
 * A RESULT OF USING THIS SAMPLE PROGRAM. IN NO EVENT WILL IBM BE
 * LIABLE FOR ANY SPECIAL, INDIRECT CONSEQUENTIAL DAMAGES OR LOST
 * PROFITS EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF THEIR
 * OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS OR DATA.
 * IBM WILL NOT BE LIABLE FOR ANY THIRD PARTY CLAIMS AGAINST YOU.
 */

package aglet.event;

import aglet.AgletProxy;

/**
 * The top level event of all aglet events.
 * 
 * @version     1.70    $Date: 7/01/97 7:31a $
 * @author	Mitsuru Oshima
 */
abstract public class AgletEvent {
    /**
     * Source of the event
     */
    protected Object source = null;

    /**
     * Event id
     */
    protected int id;

    /**
     * Gets the source of this event
     */
    public Object getSource() {
	return source;
    }

    /**
     * Gets the id of this event
     */
    public int getID() {
	return id;
    }

    /**
     * Constructs an AgletEvent with source and id.
     */
    public AgletEvent(Object source, int id) {
	this.source = source;
	this.id = id;
    }
}

