/*
 * @(#)AtciConnection.java
 *
 * (c) Copyright IBM Corp. 1996
 *
 * IBM grants you a non-exclusive, non-transferrable License to
 * use this program internally solely for the purposes of testing
 * and evaluating Java Aglet API.
 * You may not distribute, sublicense, lease, rent or use this
 * sample program externally.
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY EXPRESS OR
 * IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF
 * NON-INFRINGEMENT AND THE WARRANTIES OF MERCHANTIBILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 * IBM WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY YOU AS
 * A RESULT OF USING THIS SAMPLE PROGRAM. IN NO EVENT WILL IBM BE
 * LIABLE FOR ANY SPECIAL, INDIRECT CONSEQUENTIAL DAMAGES OR LOST
 * PROFITS EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF THEIR
 * OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS OR DATA.
 * IBM WILL NOT BE LIABLE FOR ANY THIRD PARTY CLAIMS AGAINST YOU.
 */

package atci;

import java.io.InputStream;
import java.io.OutputStream;
import java.io.IOException;
import java.net.URL;

/**
 * @version     1.11	23 Mar 1997
 * @author	Mitsuru Oshima
 */
public interface AtciConnection {

    /**
     * Sets request parameters
     * you have to set parameters before establish the connection.
     */
    public void setRequestType(int request);

    public void setAgentId(String id);

    public void setAgentLanguage(String lang);

    public void setAgentSystem(String system);

    public void setUserAgent(String user_agent);

    public void setSender(String sender);

    /*
     * Content parameters
     */
    public void setContentEncoding(String string);

    public void setContentLength(int i);

    public void setContentLanguage(String lang);

    public void setContentType(String type);

    public void setAllowUserInteraction(boolean b);

    /*
     * Establish the connection;
     */
    public void connect() throws IOException;

    /*
     * An output stream into which the content be written.
     */
    public OutputStream getOutputStream() throws IOException ;

    /*
     * Sending request
     */
    public void sendRequest() throws IOException;

    /*
     * Receiving result
     */
    public int getStatusCode();

    public String getReasonPhase();

    public URL getResultURI();

    /*
     * Content
     */
    public String getContentType();

    public String getContentLanguage();

    public int getContentLength();

    public InputStream getInputStream() throws IOException;
}
