/*
 * @(#)AtciRequest.java
 *
 * (c) Copyright IBM Corp. 1996
 *
 * IBM grants you a non-exclusive, non-transferrable License to
 * use this program internally solely for the purposes of testing
 * and evaluating Java Aglet API.
 * You may not distribute, sublicense, lease, rent or use this
 * sample program externally.
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY EXPRESS OR
 * IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF
 * NON-INFRINGEMENT AND THE WARRANTIES OF MERCHANTIBILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 * IBM WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY YOU AS
 * A RESULT OF USING THIS SAMPLE PROGRAM. IN NO EVENT WILL IBM BE
 * LIABLE FOR ANY SPECIAL, INDIRECT CONSEQUENTIAL DAMAGES OR LOST
 * PROFITS EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF THEIR
 * OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS OR DATA.
 * IBM WILL NOT BE LIABLE FOR ANY THIRD PARTY CLAIMS AGAINST YOU.
 */

package atci;

import java.io.IOException;
import java.net.URL;
import java.net.MalformedURLException;

/**
 * A interface to open ATCI connection from given URL.
 *
 * @version     1.10	23 Mar 1997
 * @author	Mitsuru Oshima
 */
public interface AtciConnectionHandler {

    /**
     * Creats connection object in response to given URL.
     * @param url
     * @exception IOException  An IO error occurred while reading the object.
     * @exception MalformedURLException When given URL has unknown scheme for
     *            ATCI.
     */
    public AtciConnection openConnection(URL url) throws IOException, MalformedURLException ;
}
