/*
 * @(#)AtciConstants.java
 *
 * (c) Copyright IBM Corp. 1996
 *
 * IBM grants you a non-exclusive, non-transferrable License to
 * use this program internally solely for the purposes of testing
 * and evaluating Java Aglet API.
 * You may not distribute, sublicense, lease, rent or use this
 * sample program externally.
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY EXPRESS OR
 * IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE WARRANTY OF
 * NON-INFRINGEMENT AND THE WARRANTIES OF MERCHANTIBILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 * IBM WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY YOU AS
 * A RESULT OF USING THIS SAMPLE PROGRAM. IN NO EVENT WILL IBM BE
 * LIABLE FOR ANY SPECIAL, INDIRECT CONSEQUENTIAL DAMAGES OR LOST
 * PROFITS EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF THEIR
 * OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS OR DATA.
 * IBM WILL NOT BE LIABLE FOR ANY THIRD PARTY CLAIMS AGAINST YOU.
 */

package atci;

/**
 * AtciConstants interface defines constant value for ATCI
 *
 * @version     1.10	23 Mar 1997
 * @author	Mitsuru Oshima
 */
public interface AtciConstants {

    static public final int REQUEST_TYPE_BASE = 1000;
    static public final int DISPATCH = REQUEST_TYPE_BASE + 1;
    static public final int RETRACT  = REQUEST_TYPE_BASE + 2;
    static public final int FETCH    = REQUEST_TYPE_BASE + 3;
    static public final int PING     = REQUEST_TYPE_BASE + 4;
    static public final int MESSAGE  = REQUEST_TYPE_BASE + 5;
    static public final int REPLY    = REQUEST_TYPE_BASE + 6;
    static public final int ILLEGAL_REQUEST = REQUEST_TYPE_BASE + 7;
    static public final int MAX_REQUEST_TYPE = REQUEST_TYPE_BASE + 8;

    /**
     * The value representing that an ATCI message is a response.
     */
    public static final int ATCI_REQUEST = 1;


    /**
     * The value representing that an ATCI message is a response.
     */
    public static final int ATCI_RESPONSE = 2;


    /**
     * Status code representing that the request has succeeded.
     */                                          

    public static final int OKAY                = 100;

    /**
     * Status code representing that the requested resource is no longer at the
     * recipient.
     */
    public static final int MOVED               = 200;

    /**
     * Status code representing that the recipient was unable to understand the
     * request message due to malformed syntax.
     */
    public static final int BAD_REQUEST         = 300;

    /**
     * Status code representing that although the recipient understood the
     * request message, it is refused to fulfill it.
     */
    public static final int FORBIDDEN           = 301;

    /**
     * Status code representing that the recipient could not find the requested
     * resource. 
     */
    public static final int NOT_FOUND           = 302;

    /**
     * Status code representing that the recipient encountered an unexpected
     * condition which prevented it from fullfiling the request.
     */
    public static final int INTERNAL_ERROR      = 400;

    /**
     * Status code representing that the recipient does not support the
     * functionality required to fulfill the request.
     */
    public static final int NOT_IMPLEMENTED     = 401;

    /**
     * Status code representing that the recipient, while acting as a gateway
     * or proxy, recieved an invalid response from upstream server.
     */
    public static final int BAD_GATEWAY         = 402;

    /**
     * Status code representing that the recipient is currently unable to
     * handle the request due to a temporary overloading of the recipient.
     */
    public static final int SERVICE_UNAVAILABLE = 403;

}
